#### PyKDE - Python Bindings for KDE

# class KTimezone |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | KTimezone
Inherits |

### methods

- KTimezone (db, name, countryCode = TQString (), latitude = KTimezone .UNKNOWN, longitude = KTimezone .UNKNOWN, comment = TQString ())

  returns a KTimezone instance
  In versions KDE 3.5.0 and above only
  Argument | Type | Default
  --- | --- | ---
  db | TDESharedPtr |
  name | TQString |
  countryCode | TQString | TQString ()
  latitude | float | KTimezone .UNKNOWN
  longitude | float | KTimezone .UNKNOWN
  comment | TQString | TQString ()

- KTimezone (a0)

  returns a KTimezone instance
  In versions KDE 3.5.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | KTimezone |

- comment ()

  returns (TQString)
  In versions KDE 3.5.0 and above only

- convert (newZone, dateTime)

  returns (TQDateTime)
  In versions KDE 3.5.0 and above only
  Argument | Type | Default
  --- | --- | ---
  newZone | KTimezone |
  dateTime | TQDateTime |

- countryCode ()

  returns (TQString)
  In versions KDE 3.5.0 and above only

- isValidLatitude (latitude)

  returns (bool)
  In versions KDE 3.5.0 and above only
  static
  Argument | Type | Default
  --- | --- | ---
  latitude | float |

- isValidLongitude (longitude)

  returns (bool)
  In versions KDE 3.5.0 and above only
  static
  Argument | Type | Default
  --- | --- | ---
  longitude | float |

- latitude ()

  returns (float)
  In versions KDE 3.5.0 and above only

- longitude ()

  returns (float)
  In versions KDE 3.5.0 and above only

- name ()

  returns (TQString)
  In versions KDE 3.5.0 and above only

- offset (basisSpec = TQt .UTC)

  returns (int)
  In versions KDE 3.5.0 and above only
  Argument | Type | Default
  --- | --- | ---
  basisSpec | TQt.TimeSpec | TQt .UTC

- offset (dateTime)

  returns (int)
  In versions KDE 3.5.0 and above only
  Argument | Type | Default
  --- | --- | ---
  dateTime | TQDateTime |

- parse (dataReceiver)

  returns (bool)
  In versions KDE 3.5.0 and above only
  Argument | Type | Default
  --- | --- | ---
  dataReceiver | KTimezoneDetails |

### variables

- variables

  Variable | Type
  --- | ---
  UNKNOWN | float